> ## Documentation Index
> Fetch the complete documentation index at: https://docs.togai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Aliases to account

> Add aliases to an account using customer_id and account_id.



## OpenAPI

````yaml post /accounts/{account_id}/add_aliases
openapi: 3.0.3
info:
  version: '1.0'
  title: Togai Apis
  contact:
    email: engg@togai.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  description: APIs for Togai App
servers:
  - description: Api endpoint
    url: https://api.togai.com/
  - description: Sandbox api endpoint
    url: https://sandbox-api.togai.com/
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Customer level calls
  - name: Accounts
    description: Account level calls
  - name: Event Schemas
    description: Event Schema level calls
  - name: Usage Meters
    description: Usage Meter level calls
  - name: Price Plans
    description: (DEPRECATED) Price Plan level calls
  - name: PricePlanV2
    description: Price Plan V2 level calls
  - name: Schedules
    description: Account Schedule level calls
  - name: Pricing Rules
    description: Pricing Rules level calls
  - name: Settings
    description: Settings
  - name: Price Experimentation
    description: Price Experimentation apis
  - name: InvoiceGroups
    description: Invoice Group level calls
  - name: Organization
    description: Organization level calls
  - name: FileStorage
    description: File Storage level calls
  - name: Aliases
    description: Alias level calls
  - name: Reports
    description: Report level calls
  - name: ReportTemplates
    description: Report Template level calls
  - name: Customer Portal
    description: Portal level calls
  - name: Alerts
    description: Alert level calls
  - name: Event Management
    description: APIs for getting events ingested in Togai
    externalDocs:
      description: docs
      url: https://togai.com/docs/billing/events
  - name: Metrics
    description: APIs for getting Togai metrics
    externalDocs:
      description: docs
      url: https://togai.com/docs/metrics
  - name: Licenses
    description: APIs for getting or updating license records in Togai
  - name: Entitlements
    description: APIs related to entitlements
  - name: Invoices
    description: Invoices API
  - name: Credits
    description: Credits API
  - name: Wallet
    description: Wallet API
  - name: InvoiceTemplates
    description: InvoiceTemplates API
  - name: InvoiceSequence
    description: InvoiceSequence API
  - name: Payments
    description: Payments API
  - name: Authentication
    description: Authentication API
externalDocs:
  description: Find out more about Togai
  url: https://docs.togai.com/docs
paths:
  /accounts/{account_id}/add_aliases:
    post:
      tags:
        - Accounts
      summary: Add Aliases to account
      description: Add aliases to an account using customer_id and account_id.
      operationId: addAliases
      parameters:
        - $ref: '#/components/parameters/account_id'
      requestBody:
        $ref: '#/components/requestBodies/AddAccountAliasesRequest'
      responses:
        '200':
          $ref: '#/components/responses/AccountResponse'
        '400':
          $ref: '#/components/responses/ErrorResponse'
        '401':
          $ref: '#/components/responses/ErrorResponse'
        '403':
          $ref: '#/components/responses/ErrorResponse'
        '404':
          $ref: '#/components/responses/ErrorResponse'
        '429':
          $ref: '#/components/responses/ErrorResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    account_id:
      in: path
      description: account_id corresponding to an account
      name: account_id
      required: true
      schema:
        type: string
        maxLength: 50
        example: ACC00001
  requestBodies:
    AddAccountAliasesRequest:
      description: Payload to add aliases to account
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AddAccountAliasesRequest'
          examples:
            AddAccountAliasesRequest:
              $ref: '#/components/examples/AddAccountAliasesRequest'
  responses:
    AccountResponse:
      description: Response for Create and Get account requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Account'
          examples:
            Account:
              $ref: '#/components/examples/Account'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            ErrorResponse:
              summary: Error message
              value:
                message: <Reason message>
  schemas:
    AddAccountAliasesRequest:
      description: Payload to add aliases from account
      type: object
      additionalProperties: false
      properties:
        aliases:
          description: List of aliases to add
          type: array
          maxItems: 10
          minItems: 1
          items:
            type: string
            maxLength: 50
            minLength: 3
        accountAliases:
          description: List of account aliases to add
          type: array
          maxItems: 10
          minItems: 1
          items:
            $ref: '#/components/schemas/CreateAccountAliasRequest'
    Account:
      description: Structure of an account
      type: object
      additionalProperties: false
      required:
        - name
        - id
        - togaiAccountId
        - togaiCustomerId
        - status
        - customerId
      properties:
        id:
          description: Identifier of the account
          type: string
          maxLength: 50
        togaiAccountId:
          description: Unique identifier of the account
          type: string
        togaiCustomerId:
          description: Unique identifier of the customer
          type: string
        name:
          description: Name of the Account
          type: string
          maxLength: 255
          minLength: 3
        customerId:
          description: Identifier of the customer
          type: string
        invoiceCurrency:
          description: >
            [ISO_4217](https://en.wikipedia.org/wiki/ISO_4217) code of the
            currency in which the account must be invoiced

            Defaults to Base currency.
          type: string
          minLength: 3
          maxLength: 3
          example: USD
        aliases:
          description: list of aliases of the account
          type: array
          maxItems: 10
          minItems: 0
          items:
            title: AccountAliases
            type: object
            properties:
              alias:
                type: string
                maxLength: 50
        netTermDays:
          type: integer
          format: int32
        address:
          $ref: '#/components/schemas/Address'
        primaryEmail:
          description: Primary email of the customer
          type: string
          maxLength: 320
          example: admin@example.com
        billingInformation:
          $ref: '#/components/schemas/AccountsBillingInformation'
        status:
          description: Status of the account
          type: string
          enum:
            - ACTIVE
            - DRAFT
            - ARCHIVED
          example: ACTIVE
        settings:
          type: array
          maxItems: 10
          minItems: 0
          items:
            $ref: '#/components/schemas/CreateEntitySetting'
        invoiceGroupDetails:
          $ref: '#/components/schemas/InvoiceGroupDetails'
        metadata:
          description: |
            Additional information associated with the account.
            Example: GSTN, VATN
          type: object
          additionalProperties:
            type: string
        tags:
          description: Tag for accounts are stored in lowercase
          type: array
          uniqueItems: true
          items:
            type: string
    ErrorResponse:
      type: object
      additionalProperties: false
      required:
        - message
      properties:
        message:
          type: string
          description: error description
          maxLength: 500
    CreateAccountAliasRequest:
      description: >-
        An alternative account identifier for event ingestion with a defined
        effective duration.
      type: object
      additionalProperties: false
      required:
        - value
      properties:
        value:
          type: string
          maxLength: 50
          minLength: 1
        effectiveFrom:
          type: string
          format: date-time
          description: Effective from date, if not provided, it will be set to -infinity
        effectiveUntil:
          type: string
          format: date-time
          description: Effective until date, if not provided, it will be set to +infinity
    Address:
      description: billing address of the customer
      type: object
      additionalProperties: false
      properties:
        phoneNumber:
          description: Contact number
          type: string
        line1:
          description: Address line 1 (eg. Street, PO Box, Company Name)
          type: string
        line2:
          description: Address line 2 (eg. apartment, suite, unit or building)
          type: string
        postalCode:
          description: ZIP or postal code
          type: string
        city:
          description: City, district, suburb, town or village
          type: string
        state:
          description: State, county, province or region
          type: string
        country:
          description: >-
            Two letter country code [ISO-3166-1
            Alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
          type: string
    AccountsBillingInformation:
      description: Billing information of an account
      type: object
      additionalProperties: false
      properties:
        emailRecipients:
          type: array
          items:
            description: >
              Emails in this array will be added in to: in mail. Primary email
              will be added if left blank.
            type: string
            maxLength: 320
        additionalEmailRecipients:
          type: array
          items:
            description: |
              Emails in this array will be added in cc: in mail.
            type: string
            maxLength: 320
    CreateEntitySetting:
      type: object
      description: Represents a setting
      additionalProperties: false
      required:
        - id
        - value
        - namespace
        - name
        - dataType
      properties:
        id:
          type: string
        value:
          type: string
        namespace:
          type: string
        name:
          type: string
        dataType:
          $ref: '#/components/schemas/SettingDataType'
    InvoiceGroupDetails:
      description: Invoice group details
      type: object
      additionalProperties: false
      required:
        - id
        - name
        - email
        - dailyInvoiceConsolidation
        - invoiceCurrency
        - billingAddress
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
          maxLength: 320
        dailyInvoiceConsolidation:
          type: boolean
        netTermDays:
          type: integer
          format: int32
        invoiceCurrency:
          type: string
        billingAddress:
          $ref: '#/components/schemas/Address'
    SettingDataType:
      type: string
      enum:
        - STRING
        - NUMERIC
        - JSON
        - JSON_LOGIC
  examples:
    AddAccountAliasesRequest:
      value:
        aliases:
          - account2@acme.com
          - '+1234567890'
    Account:
      summary: A sample Account
      value:
        id: G234DZZKBKACATFFGVGEMERFI
        togaiAccountId: account.safdla.c234ds
        customerId: ACME
        togaiCustomerId: customer.savass.11e1a
        name: ACME Enterprise - Account2
        invoiceCurrency: USD
        address:
          phoneNumber: '+919876543210'
          line1: 2281 Broadway Street
          line2: G-31
          postalCode: '29501'
          city: Florence
          state: South Carolina
          country: US
        primaryEmail: admin@example.com
        billingInformation:
          emailRecipients:
            - admin@example.com
            - acme@acme.com
            - acmeacme@acme.com
          additionalEmailRecipients:
            - admin@acme.com
        aliases:
          - alias: account2@acme.com
          - alias: '+1234567890'
        status: ACTIVE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer <credential>

````